import { objectWithoutProperties as _objectWithoutProperties, slicedToArray as _slicedToArray, extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import * as React from 'react';
import { Tabs, Tab } from '@mui/material';
import { SettingPanelContainer, SettingPanelWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var _excluded = ["options", "sectionName", "currentValue", "onValueChange", "isSectionHeader"];

var SettingsPanel = function SettingsPanel(props) {
  var options = props.options;
      props.sectionName;
      var _props$currentValue = props.currentValue,
      currentValue = _props$currentValue === void 0 ? 0 : _props$currentValue,
      onValueChange = props.onValueChange;
      props.isSectionHeader;
      var rest = _objectWithoutProperties(props, _excluded);

  var _React$useState = React.useState(currentValue - 1),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      value = _React$useState2[0],
      setValue = _React$useState2[1];

  var handleChange = function handleChange(event, newValue) {
    setValue(newValue);
    onValueChange(newValue);
  };

  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SettingPanelContainer, null, /*#__PURE__*/React.createElement(SettingPanelWrapper, null, /*#__PURE__*/React.createElement(Tabs, _extends({}, rest, {
    value: value,
    onChange: handleChange,
    orientation: "vertical"
  }), options.map(function (SettingsPanelTabItem, index) {
    return /*#__PURE__*/React.createElement(Tab, {
      key: index,
      icon: SettingsPanelTabItem.icon,
      value: SettingsPanelTabItem.value,
      label: SettingsPanelTabItem.label
    });
  }))))));
};

export { SettingsPanel as default };
//# sourceMappingURL=index.js.map
