import React__default from 'react';
import { LabelWrapper, LabelContentWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import Info from '../../Info/Info/index.js';

var Label = function Label(_ref) {
  var _ref$label = _ref.label,
      label = _ref$label === void 0 ? "" : _ref$label,
      _ref$info = _ref.info,
      info = _ref$info === void 0 ? "" : _ref$info,
      _ref$isInfo = _ref.isInfo,
      isInfo = _ref$isInfo === void 0 ? false : _ref$isInfo,
      _ref$infoPlace = _ref.infoPlace,
      infoPlace = _ref$infoPlace === void 0 ? "bottom" : _ref$infoPlace;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(LabelWrapper, null, /*#__PURE__*/React__default.createElement(LabelContentWrapper, null, label, isInfo && /*#__PURE__*/React__default.createElement(Info, {
    info: info,
    infoPlace: infoPlace
  }))));
};

export { Label as default };
//# sourceMappingURL=index.js.map
