import React__default from 'react';
import { LinearProgress } from '@mui/material';
import { BatteryPercent } from '../../VehicleCard/FilterVehicleCard/style.js';
import { ProgressPer } from '../../Typography/Paragraph/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import { BatteryComponentWrapper } from './style.js';

var BatteryComponent = function BatteryComponent(_ref) {
  var battery = _ref.battery;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(BatteryComponentWrapper, null, /*#__PURE__*/React__default.createElement(BatteryPercent, null, /*#__PURE__*/React__default.createElement(LinearProgress, {
    variant: "determinate",
    value: battery
  }), /*#__PURE__*/React__default.createElement(ProgressPer, null, battery, "%"))));
};

export { BatteryComponent as default };
//# sourceMappingURL=index.js.map
