import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import CircularProgress from '@mui/material/CircularProgress';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var StatisticUtilizationIcon = function StatisticUtilizationIcon(_ref) {
  var value = _ref.value,
      props = _ref.props;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement("div", {
    style: {
      position: "relative"
    }
  }, /*#__PURE__*/React__default.createElement(CircularProgress, _extends({
    variant: "determinate",
    sx: {
      color: theme.colourMaterialBorder
    },
    size: 32,
    thickness: 8
  }, props, {
    value: 100
  })), /*#__PURE__*/React__default.createElement(CircularProgress, _extends({
    variant: "determinate",
    sx: {
      color: theme.colourBrandPrimary,
      position: "absolute",
      left: 0
    },
    size: 32,
    thickness: 8,
    value: value
  }, props))));
};

export { StatisticUtilizationIcon as default };
//# sourceMappingURL=index.js.map
